com.google.gwt.aria.client

## Class TablistRoleImpl

- java.lang.Object
- - com.google.gwt.aria.client.RoleImpl
  - - com.google.gwt.aria.client.TablistRoleImpl

- All Implemented Interfaces:
    CompositeRole, DirectoryRole, ListRole, RegionRole, Role, SectionRole, StructureRole, TablistRole, WidgetRole

      class TablistRoleImpl
      extends RoleImpl
      implements TablistRole

  Implements `TablistRole`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TablistRoleImpl(java.lang.String roleName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaActivedescendantProperty(Element element)` Returns the value of the aria-activedescendant attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaExpandedState(Element element)` Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaLevelProperty(Element element)` Returns the value of the aria-level attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaActivedescendantProperty(Element element)` Removes the aria-activedescendant attribute from the `element`.
    `void` | `removeAriaExpandedState(Element element)` Removes the aria-expanded attribute from the `element`.
    `void` | `removeAriaLevelProperty(Element element)` Removes the aria-level attribute from the `element`.
    `void` | `setAriaActivedescendantProperty(Element element, Id value)` Sets the aria-activedescendant attribute for the `element` to the given `value`.
    `void` | `setAriaExpandedState(Element element, ExpandedValue value)` Sets the aria-expanded attribute for the `element` to the given `value`.
    `void` | `setAriaLevelProperty(Element element, int value)` Sets the aria-level attribute for the `element` to the given `value`.

    - ### Methods inherited from class com.google.gwt.aria.client.RoleImpl

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Constructor Detail

    - #### TablistRoleImpl

          TablistRoleImpl(java.lang.String roleName)

  - ### Method Detail

    - #### getAriaActivedescendantProperty

          public java.lang.String getAriaActivedescendantProperty(Element element)

      Description copied from interface: `CompositeRole`
      Returns the value of the aria-activedescendant attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaActivedescendantProperty` in interface `CompositeRole`

    - #### getAriaExpandedState

          public java.lang.String getAriaExpandedState(Element element)

      Description copied from interface: `SectionRole`
      Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaExpandedState` in interface `SectionRole`

    - #### getAriaLevelProperty

          public java.lang.String getAriaLevelProperty(Element element)

      Description copied from interface: `TablistRole`
      Returns the value of the aria-level attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaLevelProperty` in interface `TablistRole`

    - #### removeAriaActivedescendantProperty

          public void removeAriaActivedescendantProperty(Element element)

      Description copied from interface: `CompositeRole`
      Removes the aria-activedescendant attribute from the `element`.
      Specified by:
        `removeAriaActivedescendantProperty` in interface `CompositeRole`

    - #### removeAriaExpandedState

          public void removeAriaExpandedState(Element element)

      Description copied from interface: `SectionRole`
      Removes the aria-expanded attribute from the `element`.
      Specified by:
        `removeAriaExpandedState` in interface `SectionRole`

    - #### removeAriaLevelProperty

          public void removeAriaLevelProperty(Element element)

      Description copied from interface: `TablistRole`
      Removes the aria-level attribute from the `element`.
      Specified by:
        `removeAriaLevelProperty` in interface `TablistRole`

    - #### setAriaActivedescendantProperty

          public void setAriaActivedescendantProperty(Element element,
                                                      Id value)

      Description copied from interface: `CompositeRole`
      Sets the aria-activedescendant attribute for the `element` to the given `value`.
      Specified by:
        `setAriaActivedescendantProperty` in interface `CompositeRole`

    - #### setAriaExpandedState

          public void setAriaExpandedState(Element element,
                                           ExpandedValue value)

      Description copied from interface: `SectionRole`
      Sets the aria-expanded attribute for the `element` to the given `value`.
      Specified by:
        `setAriaExpandedState` in interface `SectionRole`

    - #### setAriaLevelProperty

          public void setAriaLevelProperty(Element element,
                                           int value)

      Description copied from interface: `TablistRole`
      Sets the aria-level attribute for the `element` to the given `value`.
      Specified by:
        `setAriaLevelProperty` in interface `TablistRole`